Bug 90328 - PDF: Role map should not include cyclic definitions
Summary: PDF: Role map should not include cyclic definitions
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:pdf
Depends on:
Blocks: PDF-Export
  Show dependency treegraph
 
Reported: 2015-03-29 17:14 UTC by p.abrahams@clara.co.uk
Modified: 2019-03-17 09:43 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
ODT file that creates incorrect PDF role map (15.67 KB, application/vnd.oasis.opendocument.text)
2015-04-05 14:26 UTC, p.abrahams@clara.co.uk
Details
PDF created from ODT with incorrect role map (85.43 KB, application/pdf)
2015-04-05 14:27 UTC, p.abrahams@clara.co.uk
Details

Note You need to log in before you can comment on or make changes to this bug.
Description p.abrahams@clara.co.uk 2015-03-29 17:14:07 UTC
The PDF Role Map generated by Writer export to  PDF includes entries such as:
/H1 /H1 which map a role to itself. This is a cyclic definition and is incorrect. These entries should not be included in the role map.
Comment 1 Markus Mohrhard 2015-04-04 15:16:09 UTC
Can you please include a odt document that shows that problem during export?
Comment 2 p.abrahams@clara.co.uk 2015-04-05 14:26:23 UTC
Created attachment 114627 [details]
ODT file that creates incorrect PDF role map
Comment 3 p.abrahams@clara.co.uk 2015-04-05 14:27:30 UTC
Created attachment 114628 [details]
PDF created from ODT with incorrect role map
Comment 4 p.abrahams@clara.co.uk 2015-04-05 14:30:14 UTC
As requested I have attached 'ODT to PDF Test.odt' that when exported to PDF has an incorrect role map as can be seen in 'ODT to PDF test.pdf' which is also attached.
Comment 5 Buovjaga 2015-04-06 11:18:32 UTC
Ok, if I export attachment 114627 [details] with Tagged PDF checked, I can see inside it:

/RoleMap<</Table#20Contents/P
/H1/H1

Win 7 Pro 64-bit, Version: 4.4.2.2
Build ID: c4c7d32d0d49397cad38d62472b0bc8acff48dd6
Locale: fi_FI
Comment 6 Matthew Francis 2015-04-06 15:46:07 UTC
The behaviour is the same in OOo / LO 3.3.0

-> Version: Inherited from OOo
Comment 7 tommy27 2016-04-16 07:27:38 UTC Comment hidden (obsolete)
Comment 8 p.abrahams@clara.co.uk 2016-04-16 13:11:59 UTC
I have just retested with 5.0.5.2 and the problem still exists and has not altered at all.
Comment 9 QA Administrators 2017-05-22 13:24:50 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.2.7 or 5.3.3  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170522